-- Projectile
Hooks:PostHook(NewRaycastWeaponBase, "_update_stats_values", "iuhXM25SniperConvertProjectile_NewRaycastWeaponBase:_update_stats_values", function (self, disallow_replenish)
		local factory_id = self._factory_id
    	local blueprint = self._blueprint
    	self.has_iuhXM25Sniper_ConvertProjectile_perk = managers.weapon_factory:has_perk("iuhXM25Sniper_ConvertProjectile", factory_id, blueprint)
		self._projectile_type = self:weapon_tweak_data().projectile_type
		log("self.has_iuhXM25Sniper_ConvertProjectile_perk"..tostring(self.has_iuhXM25Sniper_ConvertProjectile_perk))
end)

function NewRaycastWeaponBase:charge_fail()
	return false
end

local iuhXM25SniperConvertProjectile_RaycastWeaponBase_fire_raycast = NewRaycastWeaponBase._fire_raycast 
function NewRaycastWeaponBase:_fire_raycast(user_unit, from_pos, direction, dmg_mul, shoot_player, spread_mul, autohit_mul, suppr_mul, shoot_through_data)
	if self.has_iuhXM25Sniper_ConvertProjectile_perk then
		return ProjectileWeaponBase._fire_raycast(self, user_unit, from_pos, direction, dmg_mul, shoot_player, spread_mul, autohit_mul, suppr_mul, shoot_through_data)
	else
		return iuhXM25SniperConvertProjectile_RaycastWeaponBase_fire_raycast(self, user_unit, from_pos, direction, dmg_mul, shoot_player, spread_mul, autohit_mul, suppr_mul, shoot_through_data)
	end
end

function NewRaycastWeaponBase:_adjust_throw_z(m_vec)
end

function NewRaycastWeaponBase:projectile_damage_multiplier()
	return self._dmg_mul
end

function NewRaycastWeaponBase:projectile_speed_multiplier()
	return 1
end

function NewRaycastWeaponBase:_get_spawn_offset()
	return 0
end